


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: GlobalRole</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: GlobalRole (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">GlobalRole</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (4/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (7/ 7)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<b class="fc"><i>3</i>&nbsp;public enum GlobalRole {</b>
<b class="fc"><i>4</i>&nbsp;    GLOBAL_ADMINISTRATOR(&quot;Global Administrator&quot;),</b>
<b class="fc"><i>5</i>&nbsp;    GLOBAL_USER(&quot;User&quot;);</b>
<i>6</i>&nbsp;
<i>7</i>&nbsp;    private final String name;
<i>8</i>&nbsp;
<b class="fc"><i>9</i>&nbsp;    GlobalRole(String name) {</b>
<b class="fc"><i>10</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>11</i>&nbsp;    }</b>
<i>12</i>&nbsp;
<i>13</i>&nbsp;    public String getName() {
<b class="fc"><i>14</i>&nbsp;        return name;</b>
<i>15</i>&nbsp;    }
<i>16</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
